Bug 1776879 - Non-unique Machine names in cluster-api-actuator-pkg E2E tests
Summary: Non-unique Machine names in cluster-api-actuator-pkg E2E tests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.4.0
Assignee: Alberto
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On:
Blocks: 1776885 1776936
TreeView+ depends on / blocked
 
Reported: 2019-11-26 14:17 UTC by Brad Ison
Modified: 2020-05-15 15:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1776885 1776936 (view as bug list)
Environment:
Last Closed: 2020-05-15 15:11:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Brad Ison 2019-11-26 14:17:30 UTC
The E2E test suite shared by OpenShift machine-api components in the cluster-api-actuator-pkg repo do not use unique names for some Machine resources. This leads to collisions when running tests in parallel.

Comment 1 Brad Ison 2019-11-26 15:22:50 UTC
I'm not really sure what status to put this in. The PR is merged, and I've verified it's working. This repo is only an E2E suite. It's not in OpenShift directly. There's not really anything further to QA.

Comment 3 Jianwei Hou 2019-12-05 10:01:02 UTC
The repo cluster-api-actuator-pkg is not directly in openshift, according to comment 1(many thanks, Brad) it's been verified and requires no further QA work. Moving it to verified.


Note You need to log in before you can comment on or make changes to this bug.